Loading...
Searching...
No Matches
ImageParam.h File Reference

Classes for declaring image parameters to halide pipelines. More...

`#include <utility>`
`#include "Func.h"`
`#include "OutputImageParam.h"`
`#include "Var.h"`

Go to the source code of this file.

## Classes

class | Halide::ImageParam
| An Image parameter to a halide pipeline. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Detailed Description

Classes for declaring image parameters to halide pipelines.

Definition in file ImageParam.h.